Skip to main content
GET
/
v2
/
tariffs
/
{id}
Fetches a single, existing tariff.
curl --request GET \
  --url https://api.spirii.com/v2/tariffs/{id} \
  --header 'Authorization: <api-key>'
{
  "id": "58652fe8-d840-4aa4-bb4f-3ebd944df9d6",
  "currency": "DKK",
  "elements": [
    {
      "priceComponents": [
        {
          "type": "ENERGY",
          "price": 12.34,
          "stepSize": 1,
          "vat": 0.15
        }
      ],
      "restrictions": {
        "startTime": "09:00",
        "endTime": "17:35",
        "startDate": "2024-12-27",
        "endDate": "2025-01-31",
        "minKwh": 1,
        "maxKwh": 1,
        "minDuration": 1,
        "maxDuration": 1,
        "dayOfWeek": [
          "TUESDAY"
        ]
      }
    }
  ],
  "type": "AD_HOC_PAYMENT",
  "tariff_alt_text": [
    {
      "language": "en",
      "text": "Text to be displayed to a end user"
    }
  ],
  "tariffAltText": [
    {
      "language": "en",
      "text": "Text to be displayed to a end user"
    }
  ],
  "minPrice": 123456,
  "maxPrice": 123456
}

Authorizations

Authorization
string
header
required

Authorization: Bearer <SPIRII_API_KEY>

Path Parameters

id
string
required

ID that Uniquely identifies the tariff

Example:

"21C92A17-A793-4ABE-B903-90BE983D413E"

Response

id
string
required

Uniquely identifies the tariff within the CPO’s platform

Example:

"58652fe8-d840-4aa4-bb4f-3ebd944df9d6"

currency
string
required

ISO-4217 code of the currency of this tariff

Example:

"DKK"

elements
object[]
required

List of Tariff Elements

type
enum<string>

Tariff type

Available options:
AD_HOC_PAYMENT,
PROFILE_CHEAP,
PROFILE_FAST,
PROFILE_GREEN,
REGULAR
Example:

"AD_HOC_PAYMENT"

tariff_alt_text
object[]
deprecated

List of multi-language alternative tariff info texts. Deprecated, use tariffAltText instead

Example:
[
  {
    "language": "en",
    "text": "Text to be displayed to a end user"
  }
]
tariffAltText
object[]

List of multi-language alternative tariff info texts

Example:
[
  {
    "language": "en",
    "text": "Text to be displayed to a end user"
  }
]
minPrice
number

Charging Sessions with this tariff will at least cost this amount

Example:

123456

maxPrice
number

Charging Sessions with this tariff will at most cost this amount

Example:

123456